<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateUserRoles extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('user_roles')
			->addColumn('user', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('role', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('user', 'users', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('role', 'roles', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
